Returns one event for the specified project. Events identify significant database, billing, or security activities or status changes. To use this resource, the requesting Service Account or API Key must have the Project Read Only role. Use the Return Events from One Project endpoint to retrieve all events to which the authenticated user has access.
This resource remains under revision and may change.
Path parameters
-
Unique 24-hexadecimal digit string that identifies your project. Use the /groups endpoint to retrieve all projects to which the authenticated user has access.
NOTE: Groups and projects are synonymous terms. Your group id is the same as your project id. For existing groups, your group/project id remains the same. The resource and corresponding endpoints use the term groups.
Format should match the following pattern:
^([a-f0-9]{24})$. -
Unique 24-hexadecimal digit string that identifies the event that you want to return.
Format should match the following pattern:
^([a-f0-9]{24})$.
Query parameters
-
Flag that indicates whether Application wraps the response in an
envelopeJSON object. Some API clients cannot access the HTTP response headers or status code. To remediate this, set envelope=true in the query. Endpoints that return a list of results use the results object as an envelope. Application adds the status parameter to the response body.Default value is
false. -
Flag that indicates whether the response body should be in the prettyprint format.
Default value is
false.Prettyprint -
Flag that indicates whether to include the raw document in the output. The raw document contains additional meta information about the event.
Default value is
false.
Responses
-
OK
One of: Any Other Eventsobject Alert Auditsobject Alert Config Auditsobject API User Eventsobject ServiceAccount Eventsobject Automation Config Eventsobject App Services Eventsobject Billing Eventsobject Cluster Eventsobject Data Explorer Accessed Eventsobject Data Explorer Eventsobject FTS Index Auditsobject Host Eventsobject HostMetricEventobject Atlas Project Auditsobject Auto Scaling Auditsobject Serverless Instance Auditsobject Tenant Endpoint Auditsobject ReplicaSet Eventsobject Search Deployment Auditsobject Team Eventsobject User Eventsobject Resource Eventsobject Streams Eventsobject Stream Processor Eventsobject ChartsAuditobject Atlas Resource Policy Audits For Atlas Groupobject -
Unauthorized.
-
Forbidden.
-
Not Found.
-
Too Many Requests.
-
Internal Server Error.
atlas api events getGroupEvent --help
import (
"os"
"context"
"log"
sdk "go.mongodb.org/atlas-sdk/v20250312001/admin"
)
func main() {
ctx := context.Background()
clientID := os.Getenv("MONGODB_ATLAS_CLIENT_ID")
clientSecret := os.Getenv("MONGODB_ATLAS_CLIENT_SECRET")
// See https://dochub.mongodb.org/core/atlas-go-sdk-oauth
client, err := sdk.NewClient(sdk.UseOAuthAuth(clientID, clientSecret))
if err != nil {
log.Fatalf("Error: %v", err)
}
params = &sdk.GetGroupEventApiParams{}
sdkResp, httpResp, err := client.EventsApi.
GetGroupEventWithParams(ctx, params).
Execute()
}
curl --include --header "Authorization: Bearer ${ACCESS_TOKEN}" \
--header "Accept: application/vnd.atlas.2025-03-12+json" \
-X GET "https://cloud.mongodb.com/api/atlas/v2/groups/{groupId}/events/{eventId}?pretty=true"
curl --user "${PUBLIC_KEY}:${PRIVATE_KEY}" \
--digest --include \
--header "Accept: application/vnd.atlas.2025-03-12+json" \
-X GET "https://cloud.mongodb.com/api/atlas/v2/groups/{groupId}/events/{eventId}?pretty=true"
# Headers
# Payload
{
"apiKeyId": "32b6e34b3d91647abb20e7b8",
"created": "2026-05-04T09:42:00Z",
"eventTypeName": "AUTO_INDEXING_ENABLED",
"groupId": "32b6e34b3d91647abb20e7b8",
"id": "32b6e34b3d91647abb20e7b8",
"isGlobalAdmin": true,
"links": [
{
"href": "https://cloud.mongodb.com/api/atlas",
"rel": "self"
}
],
"orgId": "32b6e34b3d91647abb20e7b8",
"publicKey": "string",
"raw": {
"_t": "ALERT_AUDIT",
"alertConfigId": "32b6e34b3d91647abb20e7b8",
"cid": "32b6e34b3d91647abb20e7b8",
"cre": "2026-05-04T09:42:00Z",
"description": "Alert Acknowledged",
"gn": "Test Project",
"id": "32b6e34b3d91647abb20e7b8",
"orgId": "32b6e34b3d91647abb20e7b8",
"orgName": "Test Organization",
"severity": "INFO"
},
"remoteAddress": "216.172.40.186",
"userId": "32b6e34b3d91647abb20e7b8",
"username": "hello@example.com"
}
# Headers
# Payload
{
"alertId": "32b6e34b3d91647abb20e7b8",
"apiKeyId": "32b6e34b3d91647abb20e7b8",
"created": "2026-05-04T09:42:00Z",
"eventTypeName": "ALERT_ACKNOWLEDGED_AUDIT",
"groupId": "32b6e34b3d91647abb20e7b8",
"id": "32b6e34b3d91647abb20e7b8",
"isGlobalAdmin": true,
"links": [
{
"href": "https://cloud.mongodb.com/api/atlas",
"rel": "self"
}
],
"orgId": "32b6e34b3d91647abb20e7b8",
"publicKey": "string",
"raw": {
"_t": "ALERT_AUDIT",
"alertConfigId": "32b6e34b3d91647abb20e7b8",
"cid": "32b6e34b3d91647abb20e7b8",
"cre": "2026-05-04T09:42:00Z",
"description": "Alert Acknowledged",
"gn": "Test Project",
"id": "32b6e34b3d91647abb20e7b8",
"orgId": "32b6e34b3d91647abb20e7b8",
"orgName": "Test Organization",
"severity": "INFO"
},
"remoteAddress": "216.172.40.186",
"userId": "32b6e34b3d91647abb20e7b8",
"username": "hello@example.com"
}
# Headers
# Payload
{
"alertConfigId": "32b6e34b3d91647abb20e7b8",
"apiKeyId": "32b6e34b3d91647abb20e7b8",
"created": "2026-05-04T09:42:00Z",
"eventTypeName": "ALERT_CONFIG_ADDED_AUDIT",
"groupId": "32b6e34b3d91647abb20e7b8",
"id": "32b6e34b3d91647abb20e7b8",
"isGlobalAdmin": true,
"links": [
{
"href": "https://cloud.mongodb.com/api/atlas",
"rel": "self"
}
],
"orgId": "32b6e34b3d91647abb20e7b8",
"publicKey": "string",
"raw": {
"_t": "ALERT_AUDIT",
"alertConfigId": "32b6e34b3d91647abb20e7b8",
"cid": "32b6e34b3d91647abb20e7b8",
"cre": "2026-05-04T09:42:00Z",
"description": "Alert Acknowledged",
"gn": "Test Project",
"id": "32b6e34b3d91647abb20e7b8",
"orgId": "32b6e34b3d91647abb20e7b8",
"orgName": "Test Organization",
"severity": "INFO"
},
"remoteAddress": "216.172.40.186",
"userId": "32b6e34b3d91647abb20e7b8",
"username": "hello@example.com"
}
# Headers
# Payload
{
"apiKeyId": "32b6e34b3d91647abb20e7b8",
"created": "2026-05-04T09:42:00Z",
"eventTypeName": "API_KEY_CREATED",
"groupId": "32b6e34b3d91647abb20e7b8",
"id": "32b6e34b3d91647abb20e7b8",
"isGlobalAdmin": true,
"links": [
{
"href": "https://cloud.mongodb.com/api/atlas",
"rel": "self"
}
],
"orgId": "32b6e34b3d91647abb20e7b8",
"publicKey": "string",
"raw": {
"_t": "ALERT_AUDIT",
"alertConfigId": "32b6e34b3d91647abb20e7b8",
"cid": "32b6e34b3d91647abb20e7b8",
"cre": "2026-05-04T09:42:00Z",
"description": "Alert Acknowledged",
"gn": "Test Project",
"id": "32b6e34b3d91647abb20e7b8",
"orgId": "32b6e34b3d91647abb20e7b8",
"orgName": "Test Organization",
"severity": "INFO"
},
"remoteAddress": "216.172.40.186",
"targetPublicKey": "zmmrboas",
"userId": "32b6e34b3d91647abb20e7b8",
"username": "hello@example.com",
"whitelistEntry": "0.0.0.0"
}
# Headers
# Payload
{
"apiKeyId": "32b6e34b3d91647abb20e7b8",
"created": "2026-05-04T09:42:00Z",
"eventTypeName": "SERVICE_ACCOUNT_CREATED",
"groupId": "32b6e34b3d91647abb20e7b8",
"id": "32b6e34b3d91647abb20e7b8",
"isGlobalAdmin": true,
"links": [
{
"href": "https://cloud.mongodb.com/api/atlas",
"rel": "self"
}
],
"orgId": "32b6e34b3d91647abb20e7b8",
"publicKey": "string",
"raw": {
"_t": "ALERT_AUDIT",
"alertConfigId": "32b6e34b3d91647abb20e7b8",
"cid": "32b6e34b3d91647abb20e7b8",
"cre": "2026-05-04T09:42:00Z",
"description": "Alert Acknowledged",
"gn": "Test Project",
"id": "32b6e34b3d91647abb20e7b8",
"orgId": "32b6e34b3d91647abb20e7b8",
"orgName": "Test Organization",
"severity": "INFO"
},
"remoteAddress": "216.172.40.186",
"userId": "32b6e34b3d91647abb20e7b8",
"username": "hello@example.com"
}
# Headers
# Payload
{
"apiKeyId": "32b6e34b3d91647abb20e7b8",
"created": "2026-05-04T09:42:00Z",
"eventTypeName": "AUTOMATION_CONFIG_PUBLISHED_AUDIT",
"groupId": "32b6e34b3d91647abb20e7b8",
"id": "32b6e34b3d91647abb20e7b8",
"isGlobalAdmin": true,
"links": [
{
"href": "https://cloud.mongodb.com/api/atlas",
"rel": "self"
}
],
"orgId": "32b6e34b3d91647abb20e7b8",
"publicKey": "string",
"raw": {
"_t": "ALERT_AUDIT",
"alertConfigId": "32b6e34b3d91647abb20e7b8",
"cid": "32b6e34b3d91647abb20e7b8",
"cre": "2026-05-04T09:42:00Z",
"description": "Alert Acknowledged",
"gn": "Test Project",
"id": "32b6e34b3d91647abb20e7b8",
"orgId": "32b6e34b3d91647abb20e7b8",
"orgName": "Test Organization",
"severity": "INFO"
},
"remoteAddress": "216.172.40.186",
"userId": "32b6e34b3d91647abb20e7b8",
"username": "hello@example.com"
}
# Headers
# Payload
{
"created": "2026-05-04T09:42:00Z",
"eventTypeName": "DEPLOYMENT_FAILURE",
"groupId": "32b6e34b3d91647abb20e7b8",
"id": "32b6e34b3d91647abb20e7b8",
"links": [
{
"href": "https://cloud.mongodb.com/api/atlas",
"rel": "self"
}
],
"orgId": "32b6e34b3d91647abb20e7b8",
"raw": {
"_t": "ALERT_AUDIT",
"alertConfigId": "32b6e34b3d91647abb20e7b8",
"cid": "32b6e34b3d91647abb20e7b8",
"cre": "2026-05-04T09:42:00Z",
"description": "Alert Acknowledged",
"gn": "Test Project",
"id": "32b6e34b3d91647abb20e7b8",
"orgId": "32b6e34b3d91647abb20e7b8",
"orgName": "Test Organization",
"severity": "INFO"
}
}
# Headers
# Payload
{
"apiKeyId": "32b6e34b3d91647abb20e7b8",
"created": "2026-05-04T09:42:00Z",
"eventTypeName": "CREDIT_CARD_CURRENT",
"groupId": "32b6e34b3d91647abb20e7b8",
"id": "32b6e34b3d91647abb20e7b8",
"invoiceId": "32b6e34b3d91647abb20e7b8",
"isGlobalAdmin": true,
"links": [
{
"href": "https://cloud.mongodb.com/api/atlas",
"rel": "self"
}
],
"orgId": "32b6e34b3d91647abb20e7b8",
"paymentId": "32b6e34b3d91647abb20e7b8",
"publicKey": "string",
"raw": {
"_t": "ALERT_AUDIT",
"alertConfigId": "32b6e34b3d91647abb20e7b8",
"cid": "32b6e34b3d91647abb20e7b8",
"cre": "2026-05-04T09:42:00Z",
"description": "Alert Acknowledged",
"gn": "Test Project",
"id": "32b6e34b3d91647abb20e7b8",
"orgId": "32b6e34b3d91647abb20e7b8",
"orgName": "Test Organization",
"severity": "INFO"
},
"remoteAddress": "216.172.40.186",
"userId": "32b6e34b3d91647abb20e7b8",
"username": "hello@example.com"
}
# Headers
# Payload
{
"created": "2026-05-04T09:42:00Z",
"eventTypeName": "CLUSTER_MONGOS_IS_PRESENT",
"groupId": "32b6e34b3d91647abb20e7b8",
"id": "32b6e34b3d91647abb20e7b8",
"links": [
{
"href": "https://cloud.mongodb.com/api/atlas",
"rel": "self"
}
],
"orgId": "32b6e34b3d91647abb20e7b8",
"raw": {
"_t": "ALERT_AUDIT",
"alertConfigId": "32b6e34b3d91647abb20e7b8",
"cid": "32b6e34b3d91647abb20e7b8",
"cre": "2026-05-04T09:42:00Z",
"description": "Alert Acknowledged",
"gn": "Test Project",
"id": "32b6e34b3d91647abb20e7b8",
"orgId": "32b6e34b3d91647abb20e7b8",
"orgName": "Test Organization",
"severity": "INFO"
},
"shardName": "event-sh-01"
}
# Headers
# Payload
{
"apiKeyId": "32b6e34b3d91647abb20e7b8",
"collection": "test_collection",
"created": "2026-05-04T09:42:00Z",
"database": "test_db",
"eventTypeName": "DATA_EXPLORER",
"groupId": "32b6e34b3d91647abb20e7b8",
"id": "32b6e34b3d91647abb20e7b8",
"isGlobalAdmin": true,
"links": [
{
"href": "https://cloud.mongodb.com/api/atlas",
"rel": "self"
}
],
"opType": "insertDocument",
"orgId": "32b6e34b3d91647abb20e7b8",
"publicKey": "string",
"raw": {
"_t": "ALERT_AUDIT",
"alertConfigId": "32b6e34b3d91647abb20e7b8",
"cid": "32b6e34b3d91647abb20e7b8",
"cre": "2026-05-04T09:42:00Z",
"description": "Alert Acknowledged",
"gn": "Test Project",
"id": "32b6e34b3d91647abb20e7b8",
"orgId": "32b6e34b3d91647abb20e7b8",
"orgName": "Test Organization",
"severity": "INFO"
},
"remoteAddress": "216.172.40.186",
"userId": "32b6e34b3d91647abb20e7b8",
"username": "hello@example.com"
}
# Headers
# Payload
{
"apiKeyId": "32b6e34b3d91647abb20e7b8",
"created": "2026-05-04T09:42:00Z",
"eventTypeName": "DATA_EXPLORER_SESSION_CREATED",
"groupId": "32b6e34b3d91647abb20e7b8",
"id": "32b6e34b3d91647abb20e7b8",
"isGlobalAdmin": true,
"links": [
{
"href": "https://cloud.mongodb.com/api/atlas",
"rel": "self"
}
],
"orgId": "32b6e34b3d91647abb20e7b8",
"publicKey": "string",
"raw": {
"_t": "ALERT_AUDIT",
"alertConfigId": "32b6e34b3d91647abb20e7b8",
"cid": "32b6e34b3d91647abb20e7b8",
"cre": "2026-05-04T09:42:00Z",
"description": "Alert Acknowledged",
"gn": "Test Project",
"id": "32b6e34b3d91647abb20e7b8",
"orgId": "32b6e34b3d91647abb20e7b8",
"orgName": "Test Organization",
"severity": "INFO"
},
"remoteAddress": "216.172.40.186",
"sessionId": "32b6e34b3d91647abb20e7b8",
"userId": "32b6e34b3d91647abb20e7b8",
"username": "hello@example.com"
}
# Headers
# Payload
{
"apiKeyId": "32b6e34b3d91647abb20e7b8",
"created": "2026-05-04T09:42:00Z",
"eventTypeName": "FTS_INDEX_CREATED",
"groupId": "32b6e34b3d91647abb20e7b8",
"id": "32b6e34b3d91647abb20e7b8",
"isGlobalAdmin": true,
"links": [
{
"href": "https://cloud.mongodb.com/api/atlas",
"rel": "self"
}
],
"orgId": "32b6e34b3d91647abb20e7b8",
"publicKey": "string",
"raw": {
"_t": "ALERT_AUDIT",
"alertConfigId": "32b6e34b3d91647abb20e7b8",
"cid": "32b6e34b3d91647abb20e7b8",
"cre": "2026-05-04T09:42:00Z",
"description": "Alert Acknowledged",
"gn": "Test Project",
"id": "32b6e34b3d91647abb20e7b8",
"orgId": "32b6e34b3d91647abb20e7b8",
"orgName": "Test Organization",
"severity": "INFO"
},
"remoteAddress": "216.172.40.186",
"userId": "32b6e34b3d91647abb20e7b8",
"username": "hello@example.com"
}
# Headers
# Payload
{
"apiKeyId": "32b6e34b3d91647abb20e7b8",
"created": "2026-05-04T09:42:00Z",
"deskLocation": "string",
"employeeIdentifier": "string",
"eventTypeName": "HOST_DOWN",
"groupId": "32b6e34b3d91647abb20e7b8",
"id": "32b6e34b3d91647abb20e7b8",
"isGlobalAdmin": true,
"links": [
{
"href": "https://cloud.mongodb.com/api/atlas",
"rel": "self"
}
],
"orgId": "32b6e34b3d91647abb20e7b8",
"port": 27017,
"publicKey": "string",
"raw": {
"_t": "ALERT_AUDIT",
"alertConfigId": "32b6e34b3d91647abb20e7b8",
"cid": "32b6e34b3d91647abb20e7b8",
"cre": "2026-05-04T09:42:00Z",
"description": "Alert Acknowledged",
"gn": "Test Project",
"id": "32b6e34b3d91647abb20e7b8",
"orgId": "32b6e34b3d91647abb20e7b8",
"orgName": "Test Organization",
"severity": "INFO"
},
"remoteAddress": "216.172.40.186",
"replicaSetName": "event-replica-set",
"shardName": "event-sh-01",
"userId": "32b6e34b3d91647abb20e7b8",
"username": "hello@example.com"
}
# Headers
# Payload
{
"apiKeyId": "32b6e34b3d91647abb20e7b8",
"created": "2026-05-04T09:42:00Z",
"currentValue": {
"number": 42.0,
"units": "bits"
},
"deskLocation": "string",
"employeeIdentifier": "string",
"eventTypeName": "OUTSIDE_METRIC_THRESHOLD",
"groupId": "32b6e34b3d91647abb20e7b8",
"id": "32b6e34b3d91647abb20e7b8",
"isGlobalAdmin": true,
"links": [
{
"href": "https://cloud.mongodb.com/api/atlas",
"rel": "self"
}
],
"metricName": "HostMetricEvent",
"orgId": "32b6e34b3d91647abb20e7b8",
"port": 27017,
"publicKey": "string",
"raw": {
"_t": "ALERT_AUDIT",
"alertConfigId": "32b6e34b3d91647abb20e7b8",
"cid": "32b6e34b3d91647abb20e7b8",
"cre": "2026-05-04T09:42:00Z",
"description": "Alert Acknowledged",
"gn": "Test Project",
"id": "32b6e34b3d91647abb20e7b8",
"orgId": "32b6e34b3d91647abb20e7b8",
"orgName": "Test Organization",
"severity": "INFO"
},
"remoteAddress": "216.172.40.186",
"replicaSetName": "event-replica-set",
"shardName": "event-sh-01",
"userId": "32b6e34b3d91647abb20e7b8",
"username": "hello@example.com"
}
# Headers
# Payload
{
"apiKeyId": "32b6e34b3d91647abb20e7b8",
"created": "2026-05-04T09:42:00Z",
"dbUserUsername": "user1",
"eventTypeName": "CLUSTER_CREATED",
"groupId": "32b6e34b3d91647abb20e7b8",
"id": "32b6e34b3d91647abb20e7b8",
"isGlobalAdmin": true,
"links": [
{
"href": "https://cloud.mongodb.com/api/atlas",
"rel": "self"
}
],
"orgId": "32b6e34b3d91647abb20e7b8",
"publicKey": "string",
"raw": {
"_t": "ALERT_AUDIT",
"alertConfigId": "32b6e34b3d91647abb20e7b8",
"cid": "32b6e34b3d91647abb20e7b8",
"cre": "2026-05-04T09:42:00Z",
"description": "Alert Acknowledged",
"gn": "Test Project",
"id": "32b6e34b3d91647abb20e7b8",
"orgId": "32b6e34b3d91647abb20e7b8",
"orgName": "Test Organization",
"severity": "INFO"
},
"remoteAddress": "216.172.40.186",
"userId": "32b6e34b3d91647abb20e7b8",
"username": "hello@example.com",
"whitelistEntry": "0.0.0.0"
}
# Headers
# Payload
{
"apiKeyId": "32b6e34b3d91647abb20e7b8",
"created": "2026-05-04T09:42:00Z",
"eventTypeName": "COMPUTE_AUTO_SCALE_INITIATED",
"groupId": "32b6e34b3d91647abb20e7b8",
"id": "32b6e34b3d91647abb20e7b8",
"isGlobalAdmin": true,
"links": [
{
"href": "https://cloud.mongodb.com/api/atlas",
"rel": "self"
}
],
"orgId": "32b6e34b3d91647abb20e7b8",
"publicKey": "string",
"raw": {
"_t": "ALERT_AUDIT",
"alertConfigId": "32b6e34b3d91647abb20e7b8",
"cid": "32b6e34b3d91647abb20e7b8",
"cre": "2026-05-04T09:42:00Z",
"description": "Alert Acknowledged",
"gn": "Test Project",
"id": "32b6e34b3d91647abb20e7b8",
"orgId": "32b6e34b3d91647abb20e7b8",
"orgName": "Test Organization",
"severity": "INFO"
},
"remoteAddress": "216.172.40.186",
"userId": "32b6e34b3d91647abb20e7b8",
"username": "hello@example.com"
}
# Headers
# Payload
{
"apiKeyId": "32b6e34b3d91647abb20e7b8",
"created": "2026-05-04T09:42:00Z",
"eventTypeName": "SERVERLESS_INSTANCE_CREATED",
"groupId": "32b6e34b3d91647abb20e7b8",
"id": "32b6e34b3d91647abb20e7b8",
"isGlobalAdmin": true,
"links": [
{
"href": "https://cloud.mongodb.com/api/atlas",
"rel": "self"
}
],
"orgId": "32b6e34b3d91647abb20e7b8",
"publicKey": "string",
"raw": {
"_t": "ALERT_AUDIT",
"alertConfigId": "32b6e34b3d91647abb20e7b8",
"cid": "32b6e34b3d91647abb20e7b8",
"cre": "2026-05-04T09:42:00Z",
"description": "Alert Acknowledged",
"gn": "Test Project",
"id": "32b6e34b3d91647abb20e7b8",
"orgId": "32b6e34b3d91647abb20e7b8",
"orgName": "Test Organization",
"severity": "INFO"
},
"remoteAddress": "216.172.40.186",
"userId": "32b6e34b3d91647abb20e7b8",
"username": "hello@example.com"
}
# Headers
# Payload
{
"apiKeyId": "32b6e34b3d91647abb20e7b8",
"created": "2026-05-04T09:42:00Z",
"endpointId": "32b6e34b3d91647abb20e7b8",
"eventTypeName": "TENANT_ENDPOINT_CREATED",
"groupId": "32b6e34b3d91647abb20e7b8",
"id": "32b6e34b3d91647abb20e7b8",
"isGlobalAdmin": true,
"links": [
{
"href": "https://cloud.mongodb.com/api/atlas",
"rel": "self"
}
],
"orgId": "32b6e34b3d91647abb20e7b8",
"providerEndpointId": "vpce-0d6c248dedef65a25",
"publicKey": "string",
"raw": {
"_t": "ALERT_AUDIT",
"alertConfigId": "32b6e34b3d91647abb20e7b8",
"cid": "32b6e34b3d91647abb20e7b8",
"cre": "2026-05-04T09:42:00Z",
"description": "Alert Acknowledged",
"gn": "Test Project",
"id": "32b6e34b3d91647abb20e7b8",
"orgId": "32b6e34b3d91647abb20e7b8",
"orgName": "Test Organization",
"severity": "INFO"
},
"remoteAddress": "216.172.40.186",
"userId": "32b6e34b3d91647abb20e7b8",
"username": "hello@example.com"
}
# Headers
# Payload
{
"created": "2026-05-04T09:42:00Z",
"eventTypeName": "PRIMARY_ELECTED",
"groupId": "32b6e34b3d91647abb20e7b8",
"id": "32b6e34b3d91647abb20e7b8",
"links": [
{
"href": "https://cloud.mongodb.com/api/atlas",
"rel": "self"
}
],
"orgId": "32b6e34b3d91647abb20e7b8",
"port": 27017,
"raw": {
"_t": "ALERT_AUDIT",
"alertConfigId": "32b6e34b3d91647abb20e7b8",
"cid": "32b6e34b3d91647abb20e7b8",
"cre": "2026-05-04T09:42:00Z",
"description": "Alert Acknowledged",
"gn": "Test Project",
"id": "32b6e34b3d91647abb20e7b8",
"orgId": "32b6e34b3d91647abb20e7b8",
"orgName": "Test Organization",
"severity": "INFO"
},
"replicaSetName": "event-replica-set",
"shardName": "event-sh-01"
}
# Headers
# Payload
{
"apiKeyId": "32b6e34b3d91647abb20e7b8",
"created": "2026-05-04T09:42:00Z",
"eventTypeName": "SEARCH_DEPLOYMENT_CREATED",
"groupId": "32b6e34b3d91647abb20e7b8",
"id": "32b6e34b3d91647abb20e7b8",
"isGlobalAdmin": true,
"links": [
{
"href": "https://cloud.mongodb.com/api/atlas",
"rel": "self"
}
],
"orgId": "32b6e34b3d91647abb20e7b8",
"publicKey": "string",
"raw": {
"_t": "ALERT_AUDIT",
"alertConfigId": "32b6e34b3d91647abb20e7b8",
"cid": "32b6e34b3d91647abb20e7b8",
"cre": "2026-05-04T09:42:00Z",
"description": "Alert Acknowledged",
"gn": "Test Project",
"id": "32b6e34b3d91647abb20e7b8",
"orgId": "32b6e34b3d91647abb20e7b8",
"orgName": "Test Organization",
"severity": "INFO"
},
"remoteAddress": "216.172.40.186",
"userId": "32b6e34b3d91647abb20e7b8",
"username": "hello@example.com"
}
# Headers
# Payload
{
"apiKeyId": "32b6e34b3d91647abb20e7b8",
"created": "2026-05-04T09:42:00Z",
"eventTypeName": "TEAM_ADDED_TO_GROUP",
"groupId": "32b6e34b3d91647abb20e7b8",
"id": "32b6e34b3d91647abb20e7b8",
"isGlobalAdmin": true,
"links": [
{
"href": "https://cloud.mongodb.com/api/atlas",
"rel": "self"
}
],
"orgId": "32b6e34b3d91647abb20e7b8",
"publicKey": "string",
"raw": {
"_t": "ALERT_AUDIT",
"alertConfigId": "32b6e34b3d91647abb20e7b8",
"cid": "32b6e34b3d91647abb20e7b8",
"cre": "2026-05-04T09:42:00Z",
"description": "Alert Acknowledged",
"gn": "Test Project",
"id": "32b6e34b3d91647abb20e7b8",
"orgId": "32b6e34b3d91647abb20e7b8",
"orgName": "Test Organization",
"severity": "INFO"
},
"remoteAddress": "216.172.40.186",
"teamId": "32b6e34b3d91647abb20e7b8",
"userId": "32b6e34b3d91647abb20e7b8",
"username": "hello@example.com"
}
# Headers
# Payload
{
"apiKeyId": "32b6e34b3d91647abb20e7b8",
"created": "2026-05-04T09:42:00Z",
"eventTypeName": "JOINED_GROUP",
"groupId": "32b6e34b3d91647abb20e7b8",
"id": "32b6e34b3d91647abb20e7b8",
"isGlobalAdmin": true,
"links": [
{
"href": "https://cloud.mongodb.com/api/atlas",
"rel": "self"
}
],
"orgId": "32b6e34b3d91647abb20e7b8",
"publicKey": "string",
"raw": {
"_t": "ALERT_AUDIT",
"alertConfigId": "32b6e34b3d91647abb20e7b8",
"cid": "32b6e34b3d91647abb20e7b8",
"cre": "2026-05-04T09:42:00Z",
"description": "Alert Acknowledged",
"gn": "Test Project",
"id": "32b6e34b3d91647abb20e7b8",
"orgId": "32b6e34b3d91647abb20e7b8",
"orgName": "Test Organization",
"severity": "INFO"
},
"remoteAddress": "216.172.40.186",
"targetUsername": "test.user@mongodb.com",
"userId": "32b6e34b3d91647abb20e7b8",
"username": "hello@example.com"
}
# Headers
# Payload
{
"apiKeyId": "32b6e34b3d91647abb20e7b8",
"created": "2026-05-04T09:42:00Z",
"eventTypeName": "TAGS_MODIFIED",
"groupId": "32b6e34b3d91647abb20e7b8",
"id": "32b6e34b3d91647abb20e7b8",
"isGlobalAdmin": true,
"links": [
{
"href": "https://cloud.mongodb.com/api/atlas",
"rel": "self"
}
],
"orgId": "32b6e34b3d91647abb20e7b8",
"publicKey": "string",
"raw": {
"_t": "ALERT_AUDIT",
"alertConfigId": "32b6e34b3d91647abb20e7b8",
"cid": "32b6e34b3d91647abb20e7b8",
"cre": "2026-05-04T09:42:00Z",
"description": "Alert Acknowledged",
"gn": "Test Project",
"id": "32b6e34b3d91647abb20e7b8",
"orgId": "32b6e34b3d91647abb20e7b8",
"orgName": "Test Organization",
"severity": "INFO"
},
"remoteAddress": "216.172.40.186",
"resourceId": "32b6e34b3d91647abb20e7b8",
"resourceType": "cluster",
"userId": "32b6e34b3d91647abb20e7b8",
"username": "hello@example.com"
}
# Headers
# Payload
{
"created": "2026-05-04T09:42:00Z",
"eventTypeName": "MAX_PROCESSOR_COUNT_REACHED",
"groupId": "32b6e34b3d91647abb20e7b8",
"id": "32b6e34b3d91647abb20e7b8",
"instanceName": "foobar",
"links": [
{
"href": "https://cloud.mongodb.com/api/atlas",
"rel": "self"
}
],
"orgId": "32b6e34b3d91647abb20e7b8",
"raw": {
"_t": "ALERT_AUDIT",
"alertConfigId": "32b6e34b3d91647abb20e7b8",
"cid": "32b6e34b3d91647abb20e7b8",
"cre": "2026-05-04T09:42:00Z",
"description": "Alert Acknowledged",
"gn": "Test Project",
"id": "32b6e34b3d91647abb20e7b8",
"orgId": "32b6e34b3d91647abb20e7b8",
"orgName": "Test Organization",
"severity": "INFO"
}
}
# Headers
# Payload
{
"created": "2026-05-04T09:42:00Z",
"eventTypeName": "STREAM_PROCESSOR_STATE_IS_FAILED",
"groupId": "32b6e34b3d91647abb20e7b8",
"id": "32b6e34b3d91647abb20e7b8",
"instanceName": "foobar",
"links": [
{
"href": "https://cloud.mongodb.com/api/atlas",
"rel": "self"
}
],
"orgId": "32b6e34b3d91647abb20e7b8",
"processorErrorMsg": "invalid auth",
"processorName": "foobar",
"processorState": "FAILED",
"raw": {
"_t": "ALERT_AUDIT",
"alertConfigId": "32b6e34b3d91647abb20e7b8",
"cid": "32b6e34b3d91647abb20e7b8",
"cre": "2026-05-04T09:42:00Z",
"description": "Alert Acknowledged",
"gn": "Test Project",
"id": "32b6e34b3d91647abb20e7b8",
"orgId": "32b6e34b3d91647abb20e7b8",
"orgName": "Test Organization",
"severity": "INFO"
}
}
# Headers
# Payload
{
"apiKeyId": "32b6e34b3d91647abb20e7b8",
"created": "2026-05-04T09:42:00Z",
"eventTypeName": "CHARTS_API_SUCCESS",
"groupId": "32b6e34b3d91647abb20e7b8",
"id": "32b6e34b3d91647abb20e7b8",
"isGlobalAdmin": true,
"links": [
{
"href": "https://cloud.mongodb.com/api/atlas",
"rel": "self"
}
],
"orgId": "32b6e34b3d91647abb20e7b8",
"publicKey": "string",
"raw": {
"_t": "ALERT_AUDIT",
"alertConfigId": "32b6e34b3d91647abb20e7b8",
"cid": "32b6e34b3d91647abb20e7b8",
"cre": "2026-05-04T09:42:00Z",
"description": "Alert Acknowledged",
"gn": "Test Project",
"id": "32b6e34b3d91647abb20e7b8",
"orgId": "32b6e34b3d91647abb20e7b8",
"orgName": "Test Organization",
"severity": "INFO"
},
"remoteAddress": "216.172.40.186",
"userId": "32b6e34b3d91647abb20e7b8",
"username": "hello@example.com"
}
# Headers
# Payload
{
"apiKeyId": "32b6e34b3d91647abb20e7b8",
"created": "2026-05-04T09:42:00Z",
"eventTypeName": "RESOURCE_POLICY_VIOLATED",
"groupId": "32b6e34b3d91647abb20e7b8",
"id": "32b6e34b3d91647abb20e7b8",
"isGlobalAdmin": true,
"links": [
{
"href": "https://cloud.mongodb.com/api/atlas",
"rel": "self"
}
],
"orgId": "32b6e34b3d91647abb20e7b8",
"publicKey": "string",
"raw": {
"_t": "ALERT_AUDIT",
"alertConfigId": "32b6e34b3d91647abb20e7b8",
"cid": "32b6e34b3d91647abb20e7b8",
"cre": "2026-05-04T09:42:00Z",
"description": "Alert Acknowledged",
"gn": "Test Project",
"id": "32b6e34b3d91647abb20e7b8",
"orgId": "32b6e34b3d91647abb20e7b8",
"orgName": "Test Organization",
"severity": "INFO"
},
"remoteAddress": "216.172.40.186",
"resourcePolicyId": "32b6e34b3d91647abb20e7b8",
"userId": "32b6e34b3d91647abb20e7b8",
"username": "hello@example.com",
"violatedPolicies": [
"string"
],
"violationAction": "string"
}
{
"error": 401,
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"reason": "Unauthorized",
"errorCode": "NOT_ORG_GROUP_CREATOR"
}
{
"error": 403,
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"reason": "Forbidden",
"errorCode": "CANNOT_CHANGE_GROUP_NAME"
}
{
"error": 404,
"detail": "(This is just an example, the exception may not be related to this endpoint) Cannot find resource AWS",
"reason": "Not Found",
"errorCode": "RESOURCE_NOT_FOUND"
}
{
"error": 429,
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"reason": "Too Many Requests",
"errorCode": "RATE_LIMITED"
}
{
"error": 500,
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"reason": "Internal Server Error",
"errorCode": "UNEXPECTED_ERROR"
}